GET
/reports/income-statementGet income statement report
Returns revenue and expense accounts for a date range, grouped by system accounts and customer accounts. Calculates net income.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
from_daterequired | query | string date | Start date for the report period |
to_daterequired | query | string date | End date for the report period |
layer | query | string enum: settled | pending | encumbrance · default: "settled" | Transaction layer to report on |
Responses
200Income statement report
{
"success": true,
"data": {
"period": {
"from_date": "2026-01-15",
"to_date": "2026-01-15"
},
"layer": "string",
"revenue": {},
"expenses": {},
"net_income": "5000.00"
}
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/reports/income-statement?from_date=2026-01-15&to_date=2026-01-15 \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret" use Ledga\Api\LedgaClient;
$ledga = new LedgaClient('sk_xxxxxxxx_your_secret');
$report = $ledga->reports->incomeStatement(['from_date' => '2026-01-01', 'to_date' => '2026-01-31']);